# TODO: finish doc
#
# Conditional build:
%bcond_with	tests	# unit tests (250+ processes created, max processes ulimit must allow it)
%bcond_with	doc	# Sphinx documentation

Summary:	A platform independent file lock
Summary(pl.UTF-8):	Niezależne od platformy blokady plikowe
Name:		python3-filelock
Version:	3.17.0
Release:	2
License:	Public Domain
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/filelock/
Source0:	https://files.pythonhosted.org/packages/source/f/filelock/filelock-%{version}.tar.gz
# Source0-md5:	32624573c1dcea186f907c78e4fb80a2
URL:		https://pypi.org/project/filelock/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-build
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-pytest >= 4
BuildRequires:	python3-pytest-timeout >= 1.4.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-furo >= 2021.8.17b43
BuildRequires:	python3-sphinx-autodoc-typehints >= 1.12
BuildRequires:	sphinx-pdg >= 4.1
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a single module, which implements a platform
independent file lock in Python, which provides a simple way of
inter-process communication.

%description -l pl.UTF-8
Ten pakiet zawiera pojedynczny moduł implementujący niezależne od
platformy blokady plikowe w Pythonie. Zapewniają one prosty sposób
komunikacji międzyprocesowej.

%prep
%setup -q -n filelock-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_timeout \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
sphinx-build -b html -d docs/_build/doctree docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/filelock
%{py3_sitescriptdir}/filelock-%{version}.dist-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-filelock.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e1a6c30
- doc/test rebuild for python 3.13

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8cf8b67
- up to 3.17.0

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 06103eb
- python 3.13 rebuild

* Thu Sep 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 6b3ee06
- BR: setuptools_scm

* Sat Sep 03 2022 Jakub Bogusz <qboosh@pld-linux.org> e8fce8d
- updated to 3.7.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a21d854
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cf662f8
- rebuild with python 3.10

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> ca3a53d
- python-filelock.spec updated to 3.6.0 for python 3.7+

* Wed Jan 12 2022 Jan Palus <atler@pld-linux.org> 3be7e3a
- use use pytest for running tests

* Wed Jan 12 2022 Jan Palus <atler@pld-linux.org> 4e2d35e
- up to 3.2.1

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c18c4d2
- release 2 (by relup.sh)

* Wed Mar 04 2020 Jakub Bogusz <qboosh@pld-linux.org> d2f5553
- updated to 3.0.12; run unit tests

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1fad81c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> a93e6fa
- new

